CordappConfig
Keywords: net.corda.core.cordapp.CordappConfig interface
Date: 2023-09-18

net.corda.core.cordapp

## Interface CordappConfig

-     @DoNotImplement
      public CordappConfig

  Provides access to cordapp configuration independent of the configuration provider.

- - ### Constructor Detail

    - #### CordappConfig

          public CordappConfig()

  - ### Method Detail

    - #### exists

          boolean exists(@NotNull
                         java.lang.String path)

      Check if a config exists at path

    - #### get

          @NotNull
          java.lang.Object get(@NotNull
                                        java.lang.String path)

      Get the value of the configuration at "path".

      Throws:
        `CordappConfigException` - If the configuration fails to load, parse, or find a value.

    - #### getInt

          int getInt(@NotNull
                     java.lang.String path)

      Get the int value of the configuration at "path".

      Throws:
        `CordappConfigException` - If the configuration fails to load, parse, or find a value.

    - #### getLong

          long getLong(@NotNull
                       java.lang.String path)

      Get the long value of the configuration at "path".

      Throws:
        `CordappConfigException` - If the configuration fails to load, parse, or find a value.

    - #### getFloat

          float getFloat(@NotNull
                         java.lang.String path)

      Get the float value of the configuration at "path".

      Throws:
        `CordappConfigException` - If the configuration fails to load, parse, or find a value.

    - #### getDouble

          double getDouble(@NotNull
                           java.lang.String path)

      Get the double value of the configuration at "path".

      Throws:
        `CordappConfigException` - If the configuration fails to load, parse, or find a value.

    - #### getNumber

          @NotNull
          java.lang.Number getNumber(@NotNull
                                              java.lang.String path)

      Get the number value of the configuration at "path".

      Throws:
        `CordappConfigException` - If the configuration fails to load, parse, or find a value.

    - #### getString

          @NotNull
          java.lang.String getString(@NotNull
                                              java.lang.String path)

      Get the string value of the configuration at "path".

      Throws:
        `CordappConfigException` - If the configuration fails to load, parse, or find a value.

    - #### getBoolean

          boolean getBoolean(@NotNull
                             java.lang.String path)

      Get the boolean value of the configuration at "path".

      Throws:
        `CordappConfigException` - If the configuration fails to load, parse, or find a value.